# Get Gas Fee Estimation

<EndpointPage
  breadcrumbs={[
    { label: "Trading", href: "/trading/trading" },
    { label: "Fund Management", href: "/trading/rest-api/fund-management" },
    { label: "Get Gas Fee Estimation" },
  ]}
  title="Get Gas Fee Estimation"
  method="POST"
  url="https://api.gemini.com/v1/withdraw/{currencyCodeLowerCase}/feeEstimate"
  description="Returns the estimated gas fees for a withdrawal before you initiate it."
  example={{
    request: {
      method: "POST",
      url: "https://api.gemini.com/v1/withdraw/eth/feeEstimate",
      headers: [
        { name: "X-GEMINI-APIKEY", value: "<string>" },
        { name: "X-GEMINI-PAYLOAD", value: "<string>" },
        { name: "X-GEMINI-SIGNATURE", value: "<string>" },
      ],
      body: {
        request: "/v1/withdraw/eth/feeEstimate",
        nonce: "<nonce>",
        address: "0xA63123350Acc8F5ee1b1fBd1A6717135e82dBd28",
        amount: "2.34567",
        account: "primary",
      },
    },
  }}
  sections={[
    {
      heading: "Roles",
      children: (
        <p style={{ margin: 0 }}>The API key you use to access this endpoint must have the Trader, Fund Manager, Auditor, WealthManager, or Administrator role assigned. See <a href="https://docs.gemini.com/roles#roles" style={{ color: "inherit", textDecorationLine: "underline" }}>Roles</a> for more information.</p>
      ),
    },
    {
      heading: "Headers",
      children: <SpecHeaders operationId="getGasFeeEstimation" />,
    },
    {
      heading: "Path Parameters",
      children: <SpecPathParams operationId="getGasFeeEstimation" />,
    },
    {
      heading: "Request Body",
      children: <SpecParams operationId="getGasFeeEstimation" />,
    },
    {
      heading: "Responses",
      children: <SpecResponses operationId="getGasFeeEstimation" />,
    },
  ]}
/>

<PageNavigation
  prev={{ label: "Withdraw Crypto Funds", href: "/trading/rest-api/fund-management/withdraw-crypto-funds" }}
  next={{ label: "Add Bank", href: "/trading/rest-api/fund-management/add-bank" }}
/>
